- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDStyles Class Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDStyles ()
| VSDStyles (const VSDStyles &styles)
| ~VSDStyles ()
VSDStyles & | operator= (const VSDStyles &styles)
void | addLineStyle (unsigned lineStyleIndex, const VSDOptionalLineStyle &lineStyle)
void | addFillStyle (unsigned fillStyleIndex, const VSDOptionalFillStyle &fillStyle)
void | addTextBlockStyle (unsigned textStyleIndex, const VSDOptionalTextBlockStyle &textBlockStyle)
void | addCharStyle (unsigned textStyleIndex, const VSDOptionalCharStyle &charStyle)
void | addParaStyle (unsigned textStyleIndex, const VSDOptionalParaStyle &paraStyle)
void | addLineStyleMaster (unsigned lineStyleIndex, unsigned lineStyleMaster)
void | addFillStyleMaster (unsigned fillStyleIndex, unsigned fillStyleMaster)
void | addTextStyleMaster (unsigned textStyleIndex, unsigned textStyleMaster)
VSDLineStyle | getLineStyle (unsigned lineStyleIndex) const
VSDOptionalLineStyle | getOptionalLineStyle (unsigned lineStyleIndex) const
VSDFillStyle | getFillStyle (unsigned fillStyleIndex) const
VSDOptionalFillStyle | getOptionalFillStyle (unsigned fillStyleIndex) const
VSDTextBlockStyle | getTextBlockStyle (unsigned textStyleIndex) const
VSDOptionalTextBlockStyle | getOptionalTextBlockStyle (unsigned textStyleIndex) const
VSDCharStyle | getCharStyle (unsigned textStyleIndex) const
VSDOptionalCharStyle | getOptionalCharStyle (unsigned textStyleIndex) const
VSDParaStyle | getParaStyle (unsigned textStyleIndex) const
VSDOptionalParaStyle | getOptionalParaStyle (unsigned textStyleIndex) const

## Private Attributes
std::map< unsigned, VSDOptionalLineStyle > | m_lineStyles
std::map< unsigned, VSDOptionalFillStyle > | m_fillStyles
std::map< unsigned, VSDOptionalTextBlockStyle > | m_textBlockStyles
std::map< unsigned, VSDOptionalCharStyle > | m_charStyles
std::map< unsigned, VSDOptionalParaStyle > | m_paraStyles
std::map< unsigned, unsigned > | m_lineStyleMasters
std::map< unsigned, unsigned > | m_fillStyleMasters
std::map< unsigned, unsigned > | m_textStyleMasters

## Constructor & Destructor Documentation

libvisio::VSDStyles::VSDStyles | ( |  | ) |

libvisio::VSDStyles::VSDStyles | ( | const VSDStyles & | styles | ) |

libvisio::VSDStyles::~VSDStyles | ( |  | ) |

## Member Function Documentation

void libvisio::VSDStyles::addCharStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalCharStyle & | charStyle
| ) |  |

void libvisio::VSDStyles::addFillStyle | ( | unsigned | fillStyleIndex,
|  | const VSDOptionalFillStyle & | fillStyle
| ) |  |

void libvisio::VSDStyles::addFillStyleMaster | ( | unsigned | fillStyleIndex,
|  | unsigned | fillStyleMaster
| ) |  |

void libvisio::VSDStyles::addLineStyle | ( | unsigned | lineStyleIndex,
|  | const VSDOptionalLineStyle & | lineStyle
| ) |  |

void libvisio::VSDStyles::addLineStyleMaster | ( | unsigned | lineStyleIndex,
|  | unsigned | lineStyleMaster
| ) |  |

void libvisio::VSDStyles::addParaStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalParaStyle & | paraStyle
| ) |  |

void libvisio::VSDStyles::addTextBlockStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalTextBlockStyle & | textBlockStyle
| ) |  |

void libvisio::VSDStyles::addTextStyleMaster | ( | unsigned | textStyleIndex,
|  | unsigned | textStyleMaster
| ) |  |

libvisio::VSDCharStyle libvisio::VSDStyles::getCharStyle | ( | unsigned | textStyleIndex | ) | const

libvisio::VSDFillStyle libvisio::VSDStyles::getFillStyle | ( | unsigned | fillStyleIndex | ) | const

libvisio::VSDLineStyle libvisio::VSDStyles::getLineStyle | ( | unsigned | lineStyleIndex | ) | const

libvisio::VSDOptionalCharStyle libvisio::VSDStyles::getOptionalCharStyle | ( | unsigned | textStyleIndex | ) | const

libvisio::VSDOptionalFillStyle libvisio::VSDStyles::getOptionalFillStyle | ( | unsigned | fillStyleIndex | ) | const

libvisio::VSDOptionalLineStyle libvisio::VSDStyles::getOptionalLineStyle | ( | unsigned | lineStyleIndex | ) | const

libvisio::VSDOptionalParaStyle libvisio::VSDStyles::getOptionalParaStyle | ( | unsigned | textStyleIndex | ) | const

libvisio::VSDOptionalTextBlockStyle libvisio::VSDStyles::getOptionalTextBlockStyle | ( | unsigned | textStyleIndex | ) | const

libvisio::VSDParaStyle libvisio::VSDStyles::getParaStyle | ( | unsigned | textStyleIndex | ) | const

libvisio::VSDTextBlockStyle libvisio::VSDStyles::getTextBlockStyle | ( | unsigned | textStyleIndex | ) | const

libvisio::VSDStyles & libvisio::VSDStyles::operator= | ( | const VSDStyles & | styles | ) |

## Member Data Documentation

std::map<unsigned, VSDOptionalCharStyle> libvisio::VSDStyles::m_charStyles
| private

Referenced by operator=().

std::map<unsigned, unsigned> libvisio::VSDStyles::m_fillStyleMasters
| private

Referenced by operator=().

std::map<unsigned, VSDOptionalFillStyle> libvisio::VSDStyles::m_fillStyles
| private

Referenced by operator=().

std::map<unsigned, unsigned> libvisio::VSDStyles::m_lineStyleMasters
| private

Referenced by operator=().

std::map<unsigned, VSDOptionalLineStyle> libvisio::VSDStyles::m_lineStyles
| private

Referenced by operator=().

std::map<unsigned, VSDOptionalParaStyle> libvisio::VSDStyles::m_paraStyles
| private

Referenced by operator=().

std::map<unsigned, VSDOptionalTextBlockStyle> libvisio::VSDStyles::m_textBlockStyles
| private

Referenced by operator=().

std::map<unsigned, unsigned> libvisio::VSDStyles::m_textStyleMasters
| private

Referenced by operator=().

The documentation for this class was generated from the following files:

- VSDStyles.h
- VSDStyles.cpp